import 'dart:developer';
import 'package:flutter/material.dart';
import 'package:get_storage/get_storage.dart';

import 'home.dart';
import 'login_screen.dart';

class SplashScreen extends StatefulWidget {
  const SplashScreen({Key? key}) : super(key: key);

  @override
  _SplashScreenState createState() => _SplashScreenState();
}

class _SplashScreenState extends State<SplashScreen> {
  @override
  void initState() {
    super.initState();
    startNavigate();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text("splash screen"),
        centerTitle: true,
      ),
      body: const Center(
        child: CircularProgressIndicator.adaptive(),
      ),
    );
  }

  void startNavigate() async {
    final myModel = GetStorage().hasData("myModel");
    await Future.delayed(const Duration(seconds: 1));
    log(myModel.toString());
    if (myModel) {
      // there are login data saved
      Navigator.of(context).pushAndRemoveUntil(
          MaterialPageRoute(builder: (context) => const Home()),
          (Route<dynamic> route) => false);
    } else {
      // its the first time to open the app
      Navigator.of(context).pushAndRemoveUntil(
          MaterialPageRoute(builder: (context) => const LoginScreen()),
          (Route<dynamic> route) => false);
    }
  }
}
