import 'dart:io';

import 'package:path/path.dart';
import 'package:path_provider/path_provider.dart';

import '../../services/v_chat_app_service.dart';

class DirHelper {
  DirHelper._();
  static Future<String> downloadPath() async {
    if (Platform.isAndroid) {
      final path1 = join('storage', "emulated", "0", "Documents",
          VChatAppService.instance.appName);
      final dir = await Directory(path1).create(recursive: true);
      return "${dir.path}/";
    } else {
      final path = (await getApplicationDocumentsDirectory()).path;
      return "$path/";
    }
  }
}
